#!/bin/sh
# resize.sh mouseX mouseY windowW windowH
# Emits an FVWM directed resize command based on the position of the mouse
# cursor within a window (mouseX, mouseY) and the width and height of the
# window (windowW, windowH).

if [ $# -lt 4 ]; then
	echo "usage: $0 mouseX mouseY windowW windowH"
	exit 1
fi

echo -n "Resize Direction "

# Straight directions
if [ $1 -le $(($3/4)) -a $2 -ge $(($4/3)) -a $2 -le $(($4/3*2)) ]; then
	echo "West"
elif [ $1 -ge $(($3/4*3)) -a $2 -ge $(($4/3)) -a $2 -le $(($4/3*2)) ]; then
	echo "East"
elif [ $2 -le $(($4/4)) -a $1 -ge $(($3/3)) -a $1 -le $(($3/3*2)) ]; then
	echo "North"
elif [ $2 -ge $(($4/4*3)) -a $1 -ge $(($3/3)) -a $1 -le $(($3/3*2)) ]; then
	echo "South"
# Quadrants
elif [ $1 -le $(($3/2)) ]; then
	if [ $2 -le $(($4/2)) ]; then
		echo "NorthWest"
	else
		echo "SouthWest"
	fi
else
	if [ $2 -le $(($4/2)) ]; then
		echo "NorthEast"
	else
		echo "SouthEast"
	fi
fi
